Package org.bukkit.block.banner

# Enum Class PatternType

java.lang.Object
java.lang.Enum<PatternType>
org.bukkit.block.banner.PatternType

All Implemented Interfaces:
  `Serializable`, `Comparable<PatternType>`, `Constable`

public enum PatternType extends Enum<PatternType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASE`
`BORDER`
`BRICKS`
`CIRCLE_MIDDLE`
`CREEPER`
`CROSS`
`CURLY_BORDER`
`DIAGONAL_LEFT`
`DIAGONAL_LEFT_MIRROR`
`DIAGONAL_RIGHT`
`DIAGONAL_RIGHT_MIRROR`
`FLOWER`
`GLOBE`
`GRADIENT`
`GRADIENT_UP`
`HALF_HORIZONTAL`
`HALF_HORIZONTAL_MIRROR`
`HALF_VERTICAL`
`HALF_VERTICAL_MIRROR`
`MOJANG`
`PIGLIN`
`RHOMBUS_MIDDLE`
`SKULL`
`SQUARE_BOTTOM_LEFT`
`SQUARE_BOTTOM_RIGHT`
`SQUARE_TOP_LEFT`
`SQUARE_TOP_RIGHT`
`STRAIGHT_CROSS`
`STRIPE_BOTTOM`
`STRIPE_CENTER`
`STRIPE_DOWNLEFT`
`STRIPE_DOWNRIGHT`
`STRIPE_LEFT`
`STRIPE_MIDDLE`
`STRIPE_RIGHT`
`STRIPE_SMALL`
`STRIPE_TOP`
`TRIANGLE_BOTTOM`
`TRIANGLE_TOP`
`TRIANGLES_BOTTOM`
`TRIANGLES_TOP`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable PatternType`
`getByIdentifier(@Nullable String identifier)`
Returns the pattern type which matches the passed identifier or null if no matches are found
`@NotNull String`
`getIdentifier()`
Returns the identifier used to represent this pattern type
`static PatternType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PatternType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASE

public static final PatternType BASE

### SQUARE_BOTTOM_LEFT

public static final PatternType SQUARE_BOTTOM_LEFT

### SQUARE_BOTTOM_RIGHT

public static final PatternType SQUARE_BOTTOM_RIGHT

### SQUARE_TOP_LEFT

public static final PatternType SQUARE_TOP_LEFT

### SQUARE_TOP_RIGHT

public static final PatternType SQUARE_TOP_RIGHT

### STRIPE_BOTTOM

public static final PatternType STRIPE_BOTTOM

### STRIPE_TOP

public static final PatternType STRIPE_TOP

### STRIPE_LEFT

public static final PatternType STRIPE_LEFT

### STRIPE_RIGHT

public static final PatternType STRIPE_RIGHT

### STRIPE_CENTER

public static final PatternType STRIPE_CENTER

### STRIPE_MIDDLE

public static final PatternType STRIPE_MIDDLE

### STRIPE_DOWNRIGHT

public static final PatternType STRIPE_DOWNRIGHT

### STRIPE_DOWNLEFT

public static final PatternType STRIPE_DOWNLEFT

### STRIPE_SMALL

public static final PatternType STRIPE_SMALL

### CROSS

public static final PatternType CROSS

### STRAIGHT_CROSS

public static final PatternType STRAIGHT_CROSS

### TRIANGLE_BOTTOM

public static final PatternType TRIANGLE_BOTTOM

### TRIANGLE_TOP

public static final PatternType TRIANGLE_TOP

### TRIANGLES_BOTTOM

public static final PatternType TRIANGLES_BOTTOM

### TRIANGLES_TOP

public static final PatternType TRIANGLES_TOP

### DIAGONAL_LEFT

public static final PatternType DIAGONAL_LEFT

### DIAGONAL_RIGHT

public static final PatternType DIAGONAL_RIGHT

### DIAGONAL_LEFT_MIRROR

public static final PatternType DIAGONAL_LEFT_MIRROR

### DIAGONAL_RIGHT_MIRROR

public static final PatternType DIAGONAL_RIGHT_MIRROR

### CIRCLE_MIDDLE

public static final PatternType CIRCLE_MIDDLE

### RHOMBUS_MIDDLE

public static final PatternType RHOMBUS_MIDDLE

### HALF_VERTICAL

public static final PatternType HALF_VERTICAL

### HALF_HORIZONTAL

public static final PatternType HALF_HORIZONTAL

### HALF_VERTICAL_MIRROR

public static final PatternType HALF_VERTICAL_MIRROR

### HALF_HORIZONTAL_MIRROR

public static final PatternType HALF_HORIZONTAL_MIRROR

### BORDER

public static final PatternType BORDER

### CURLY_BORDER

public static final PatternType CURLY_BORDER

### CREEPER

public static final PatternType CREEPER

### GRADIENT

public static final PatternType GRADIENT

### GRADIENT_UP

public static final PatternType GRADIENT_UP

### BRICKS

public static final PatternType BRICKS

### SKULL

public static final PatternType SKULL

### FLOWER

public static final PatternType FLOWER

### MOJANG

public static final PatternType MOJANG

### GLOBE

public static final PatternType GLOBE

### PIGLIN

public static final PatternType PIGLIN

## Method Details

### values

public static PatternType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PatternType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getIdentifier

@NotNull public @NotNull String getIdentifier()
Returns the identifier used to represent this pattern type

Returns:
  the pattern's identifier

### getByIdentifier

@Contract("null -> null") @Nullable public static @Nullable PatternType getByIdentifier(@Nullable @Nullable String identifier)
Returns the pattern type which matches the passed identifier or null if no matches are found

Parameters:
  `identifier` - the identifier
Returns:
  the matched pattern type or null